﻿CREATE PROCEDURE [dbo].[ListAllClientsSynonym]
AS
BEGIN
	SET NOCOUNT ON;

	SELECT [ClientGuid], [ClientName], [ClientEmailAddress], [ClientPhoneNumber]
	FROM [dbo].[CompanyDB]
	-- another database on the same instance
	UNION
	SELECT [ClientGuid], [ClientName], [ClientEmailAddress], [ClientPhoneNumber]
	FROM [dbo].[BranchDB]
	-- another instance
	-- needs linked server [VS2013\SQL1] to be created before synonym [PartnerDB]
	UNION
	SELECT [ClientGuid], [ClientName], [ClientEmailAddress], [ClientPhoneNumber]
	FROM [dbo].[PartnerDB];

END