USE ClientsDB_Branch;
GO

ALTER TABLE [dbo].[Clients]
	ALTER COLUMN ClientName NVARCHAR(100);
GO
ALTER TABLE [dbo].[Clients]
	ALTER COLUMN ClientEmailAddress VARCHAR(50) NOT NULL;
GO

ALTER PROCEDURE [dbo].[CreateClient]
	@ClientGuid uniqueidentifier,
	@ClientName nvarchar(50),
	@ClientEmailAddress varchar(50),
	@ClientPhoneNumber varchar(20)
AS
BEGIN
	INSERT INTO dbo.Clients (
		ClientGuid,
		ClientName,
		ClientEmailAddress,
		ClientPhoneNumber
		)
	VALUES (
		@ClientGuid,
		@ClientName,
		@ClientEmailAddress,
		@ClientPhoneNumber
		);		
END
GO