﻿CREATE PROCEDURE [dbo].[ListAllClientsFullName]
AS
BEGIN
	SET NOCOUNT ON;

	-- database of the project
	SELECT [ClientGuid], [ClientName], [ClientEmailAddress], [ClientPhoneNumber]
	FROM dbo.Clients
	-- another database on the same instance
	UNION
	SELECT [ClientGuid], [ClientName], [ClientEmailAddress], [ClientPhoneNumber]
	FROM ClientsDB_Branch.dbo.Clients
	-- another instance
	-- needs linked server [VS2013\SQL1] to be created
	UNION
	SELECT [ClientGuid], [ClientName], [ClientEmailAddress], [ClientPhoneNumber]
	FROM [VS2013\SQL1].ClientsDB_Partner.dbo.Clients;

END