﻿CREATE TABLE [dbo].[Clients] (
    [ClientGuid]         UNIQUEIDENTIFIER NOT NULL,
    [ClientName]         NVARCHAR (50)    NOT NULL,
    [ClientEmailAddress] VARCHAR (50)     NULL,
    [ClientPhoneNumber]  VARCHAR (20)     NULL, 
    CONSTRAINT [CK_Clients_ClientName_Length] CHECK (LEN(ClientName) > 9), 
    CONSTRAINT [PK_Clients] PRIMARY KEY ([ClientGuid])
);
