@ECHO OFF
ECHO Creating three Clients databases in 2 instances:
ECHO ClientsDB and ClientsDB_Branch in default SQL Server instance,
ECHO and ClientsDB_Partner in named instance SQL1.
ECHO.
ECHO If you don't have named instance SQL1, press Ctrl-C to break execution.
ECHO You should create instance or change the SQLCMD scripts 
ECHO to create the neccessary databases.
ECHO.
PAUSE

@ECHO ON
SQLCMD -S (local) -i ClientsDB_create_script.sql -v DatabaseName=ClientsDB
SQLCMD -S (local) -i ClientsDB_create_script.sql -v DatabaseName=ClientsDB_Branch
SQLCMD -S (local)\SQL1 -i ClientsDB_create_script.sql -v DatabaseName=ClientsDB_Partner
SQLCMD -S (local) -i ClientsDB_populate_data_script.sql
SQLCMD -S (local) -i ClientsDB_Branch_change_objects.sql
PAUSE
